Index: doc/Makefile.am
===================================================================
--- doc/Makefile.am	(revision e06e478cbf83d013feb9da7234576bd69fad5b81)
+++ doc/Makefile.am	(revision 6f7aad0e7156ed745a5b1fff6a9e20a0d7ae85e3)
@@ -1,7 +1,10 @@
 EXTRA_DIST = devel.cfg examples.cfg user.cfg aubio.css \
 	aubionotes.sgml aubioonset.sgml \
-	aubioonset.1 aubionotes.1
+	aubiocut.sgml aubiopitch.sgml aubiotrack.sgml \
+	aubioonset.1 aubionotes.1 \
+	aubiocut.1 aubiopitch.1 aubiotrack.1
 
-man_MANS = aubionotes.1 aubioonset.1
+man_MANS = aubionotes.1 aubioonset.1 \
+	aubiocut.1 aubiopitch.1 aubiotrack.1
 CLEANFILES = $(man_MANS)
 
Index: doc/aubiocut.sgml
===================================================================
--- doc/aubiocut.sgml	(revision 6f7aad0e7156ed745a5b1fff6a9e20a0d7ae85e3)
+++ doc/aubiocut.sgml	(revision 6f7aad0e7156ed745a5b1fff6a9e20a0d7ae85e3)
@@ -0,0 +1,260 @@
+<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
+
+<!-- Process this file with docbook-to-man to generate an nroff manual
+     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
+     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
+     less'.  A typical entry in a Makefile or Makefile.am is:
+
+manpage.1: manpage.sgml
+	docbook-to-man $< > $@
+
+    
+	The docbook-to-man binary is found in the docbook-to-man package.
+	Please remember that if you create the nroff version in one of the
+	debian/rules file targets (such as build), you will need to include
+	docbook-to-man in your Build-Depends control field.
+
+  -->
+
+  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
+  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
+  <!ENTITY dhsurname   "<surname>Brossier</surname>">
+  <!-- Please adjust the date whenever revising the manpage. -->
+  <!ENTITY dhdate      "<date>December 1, 2004</date>">
+  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
+       allowed: see man(7), man(1). -->
+  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
+  <!ENTITY dhemail     "<email>piem@altern.org</email>">
+  <!ENTITY dhusername  "Paul Brossier">
+  <!ENTITY dhucpackage "<refentrytitle>AUBIOCUT</refentrytitle>">
+  <!ENTITY dhpackage   "aubiocut">
+
+  <!ENTITY debian      "<productname>Debian</productname>">
+  <!ENTITY gnu         "<acronym>GNU</acronym>">
+  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
+]>
+
+<refentry>
+  <refentryinfo>
+    <address>
+      &dhemail;
+    </address>
+    <author>
+      &dhfirstname;
+      &dhsurname;
+    </author>
+    <copyright>
+      <year>2003</year>
+      <holder>&dhusername;</holder>
+    </copyright>
+    &dhdate;
+  </refentryinfo>
+  <refmeta>
+    &dhucpackage;
+
+    &dhsection;
+  </refmeta>
+  <refnamediv>
+    <refname>&dhpackage;</refname>
+
+    <refpurpose>a command line tool for real time wav to midi
+    conversion</refpurpose>
+
+  </refnamediv>
+  <refsynopsisdiv>
+    <cmdsynopsis>
+      <command>&dhpackage; <parameter>[options] -i soundfile</parameter></command>
+    </cmdsynopsis>
+  </refsynopsisdiv>
+  <refsect1>
+    <title>DESCRIPTION</title>
+
+    <para>This manual page documents briefly the <command>&dhpackage;</command> command. </para>
+    
+    <para><command>&dhpackage;</command> takes an input sound file and produce
+    small file sliced at onset locations. The slices can then be sent to a
+    player, a sequencer, a sampler, or wherever else. The files can be cut at
+    onset times or at silences.</para>
+
+  </refsect1>
+  <refsect1>
+    <title>OPTIONS</title>
+
+<para>This program follows the usual GNU command line syntax, with long options
+starting with two dashes (`-').  A summary of options is included below.</para>
+
+<variablelist>
+  <varlistentry>
+  <term><option>-h</option>
+  <option>--help</option></term>
+  <listitem>
+  <para>show this help message and exit</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-i</option>
+  <option>--input filein</option></term>
+  <listitem>
+  <para>input sound file</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-m</option>
+  <option>--mode onset_detection_mode</option></term>
+  <listitem>
+  <para>onset detection mode [default=dual] complexdomain|hfc|phase|specdiff|energy|kl|mkl|dual</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-B</option>
+  <option>--bufsize=BUFSIZE</option></term>
+  <listitem>
+  <para>buffer size [default=1024]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-H</option>
+  <option>--hopsize=HOPSIZE</option></term>
+  <listitem>
+  <para>overlap size [default=512]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-t</option>
+  <option>--threshold=THRESHOLD</option></term>
+  <listitem>
+  <para>pitch threshold (for yin) [default=0.1]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-s</option>
+  <option>--silence=SILENCE</option></term>
+  <listitem>
+  <para>silence threshold [default=-70]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-D</option>
+  <option>--delay=DELAY</option></term>
+  <listitem>
+  <para>number of seconds to take back [default=system]
+  default system delay is 2*hopsize/samplerate</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-L</option>
+  <option>--localmin</option></term>
+  <listitem>
+  <para>use local minima after peak detection</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-c</option>
+  <option>--cut</option></term>
+  <listitem>
+  <para>cut input sound file at detected labels (best used with option -L)</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-d</option>
+  <option>--derivate</option></term>
+  <listitem>
+  <para>derivate onset detection function</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-S</option>
+  <option>--silencecut</option></term>
+  <listitem>
+  <para>outputs silence locations instead of onset locations</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-z</option>
+  <option>--zerocross=ZEROTHRES</option></term>
+  <listitem>
+  <para>zero-crossing threshold for slicing [default=0.00008]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-p</option>
+  <option>--plot</option></term>
+  <listitem>
+  <para>draw plot</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-O</option>
+  <option>--outplot=OUTPLOT</option></term>
+  <listitem>
+  <para>save plot to output.{ps,png}</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-v</option>
+  <option>--verbose</option></term>
+  <listitem>
+  <para>make lots of noise [default]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-q</option>
+  <option>--quiet</option></term>
+  <listitem>
+  <para>be quiet</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-b</option>
+  <option>--beat</option></term>
+  <listitem>
+  <para>NOT IMPLEMENTED output beat locations</para>
+  </listitem>
+  </varlistentry>
+</variablelist>
+
+</refsect1>
+  <refsect1>
+    <title>SEE ALSO</title>
+
+    <para>
+    <command>aubioonset</command>(1)
+    <command>aubiotrack</command>(1)
+    <command>aubionotes</command>(1)
+    <command>aubiopitch</command>(1)
+    </para>
+
+  </refsect1>
+
+  <refsect1>
+    <title>AUTHOR</title>
+
+    <para>This manual page was written by &dhusername; (&dhemail;). Permission
+    is granted to copy, distribute and/or modify this document under the terms
+    of the &gnu; General Public License, Version 2 any later version published
+    by the Free Software Foundation.</para>
+
+    <para>On Debian systems, the complete text of the GNU General Public
+    License can be found in /usr/share/common-licenses/GPL.</para>
+
+  </refsect1>
+</refentry>
+
+<!-- Keep this comment at the end of the file
+Local variables:
+mode: sgml
+sgml-omittag:t
+sgml-shorttag:t
+sgml-minimize-attributes:nil
+sgml-always-quote-attributes:t
+sgml-indent-step:2
+sgml-indent-data:t
+sgml-parent-document:nil
+sgml-default-dtd-file:nil
+sgml-exposed-tags:nil
+sgml-local-catalogs:nil
+sgml-local-ecat-files:nil
+End:
+-->
+
+
Index: doc/aubionotes.sgml
===================================================================
--- doc/aubionotes.sgml	(revision e06e478cbf83d013feb9da7234576bd69fad5b81)
+++ doc/aubionotes.sgml	(revision 6f7aad0e7156ed745a5b1fff6a9e20a0d7ae85e3)
@@ -72,14 +72,13 @@
     <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
 
-<para>The library <emphasis>aubio</emphasis> provides a small set of functions
-to extract events and objects from audio, from live streams or still files.
-Onsets are used to label the beginning of notes, pitches to label their
-height.</para>
-
-<para><command>aubionotes</command> is still in an experimental state. Its aim
-is to segment notes with onsets, and label them with their detected pitch. When
-started without an input file argument (<option>-i</option>), aubionotes
-creates a jack input and a midi output. When an input file is given, it outputs
-the results on the console.</para>
+    <para><command>&dhpackage;</command> is still in an experimental state.
+    Its aim is to extract the melody and output it as a midi stream with a
+    minimal deleay. Pitch candidates are selected at each frame, onset and
+    silences are used to segment the notes.</para>
+
+    <para>When started without an input file argument (<option>-i</option>),
+    aubionotes creates a jack input and a midi output. When an input file is
+    given, it outputs the results on the console.</para>
+
 
   </refsect1>
@@ -87,6 +86,7 @@
     <title>OPTIONS</title>
 
-<para>This program follows the usual GNU command line syntax, with long options
-starting with two dashes (`-').  A summary of options is included below.</para>
+    <para>This program follows the usual GNU command line syntax, with long
+    options starting with two dashes (`-').  A summary of options is included
+    below.</para>
 
 <variablelist>
@@ -175,5 +175,10 @@
     <title>SEE ALSO</title>
 
-    <para><command>aubioonset</command> (1)</para>
+    <para>
+    <command>aubioonset</command>(1)
+    <command>aubiotrack</command>(1)
+    <command>aubionotes</command>(1)
+    <command>aubiopitch</command>(1)
+    </para>
 
   </refsect1>
Index: doc/aubioonset.sgml
===================================================================
--- doc/aubioonset.sgml	(revision e06e478cbf83d013feb9da7234576bd69fad5b81)
+++ doc/aubioonset.sgml	(revision 6f7aad0e7156ed745a5b1fff6a9e20a0d7ae85e3)
@@ -160,11 +160,4 @@
 
   </refsect1>
-  <refsect1>
-    <title>SEE ALSO</title>
-
-    <para><command>aubionotes</command> (1)</para>
-
-  </refsect1>
-
 <refsect1>
 <title>BUGS</title>
@@ -174,4 +167,17 @@
 
 </refsect1>
+
+  <refsect1>
+    <title>SEE ALSO</title>
+
+	<para>
+	<command>aubiocut</command>(1)
+	<command>aubiotrack</command>(1)
+	<command>aubionotes</command>(1)
+	<command>aubiopitch</command>(1)
+	</para>
+
+
+  </refsect1>
 
   <refsect1>
Index: doc/aubiopitch.sgml
===================================================================
--- doc/aubiopitch.sgml	(revision 6f7aad0e7156ed745a5b1fff6a9e20a0d7ae85e3)
+++ doc/aubiopitch.sgml	(revision 6f7aad0e7156ed745a5b1fff6a9e20a0d7ae85e3)
@@ -0,0 +1,249 @@
+<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
+
+<!-- Process this file with docbook-to-man to generate an nroff manual
+     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
+     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
+     less'.  A typical entry in a Makefile or Makefile.am is:
+
+manpage.1: manpage.sgml
+	docbook-to-man $< > $@
+
+    
+	The docbook-to-man binary is found in the docbook-to-man package.
+	Please remember that if you create the nroff version in one of the
+	debian/rules file targets (such as build), you will need to include
+	docbook-to-man in your Build-Depends control field.
+
+  -->
+
+  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
+  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
+  <!ENTITY dhsurname   "<surname>Brossier</surname>">
+  <!-- Please adjust the date whenever revising the manpage. -->
+  <!ENTITY dhdate      "<date>December 1, 2004</date>">
+  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
+       allowed: see man(7), man(1). -->
+  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
+  <!ENTITY dhemail     "<email>piem@altern.org</email>">
+  <!ENTITY dhusername  "Paul Brossier">
+  <!ENTITY dhucpackage "<refentrytitle>AUBIOPITCH</refentrytitle>">
+  <!ENTITY dhpackage   "aubiopitch">
+
+  <!ENTITY debian      "<productname>Debian</productname>">
+  <!ENTITY gnu         "<acronym>GNU</acronym>">
+  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
+]>
+
+<refentry>
+  <refentryinfo>
+    <address>
+      &dhemail;
+    </address>
+    <author>
+      &dhfirstname;
+      &dhsurname;
+    </author>
+    <copyright>
+      <year>2003</year>
+      <holder>&dhusername;</holder>
+    </copyright>
+    &dhdate;
+  </refentryinfo>
+  <refmeta>
+    &dhucpackage;
+
+    &dhsection;
+  </refmeta>
+  <refnamediv>
+    <refname>&dhpackage;</refname>
+
+    <refpurpose>a command line tool for real time wav to midi
+    conversion</refpurpose>
+
+  </refnamediv>
+  <refsynopsisdiv>
+    <cmdsynopsis>
+      <command>&dhpackage; <parameter>[options] -i soundfile</parameter></command>
+    </cmdsynopsis>
+  </refsynopsisdiv>
+  <refsect1>
+    <title>DESCRIPTION</title>
+
+    <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
+
+    <para><command>aubionotes</command> attempts to label each fram of the
+    input sound file with a pitch. When no pitch candidate is found, the
+    output is 0. Results can be printed in Hertz or in MIDI pitch.  A plotting
+    module is available via the Gnuplot Python package. 4 functions are
+    available.</para>
+
+  </refsect1>
+  <refsect1>
+    <title>OPTIONS</title>
+
+    <para>This program follows the usual GNU command line syntax, with long
+    options starting with two dashes (`-').  A summary of options is included
+    below.</para>
+
+<variablelist>
+  <varlistentry>
+  <term><option>-i</option>
+  <option>--input filein</option></term>
+  <listitem>
+  <para>input sound file</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-m</option>
+  <option>--mode pitch_detection_mode</option></term>
+  <listitem>
+  <para>pitch detection mode [default=mcomb] mcomb|yin|fcomb|schmitt</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-u</option>
+  <option>--units unitmode</option></term>
+  <listitem>
+  <para>output pitch in units [default=Hz] freq|midi|cent|bin</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-B</option>
+  <option>--bufsize=BUFSIZE</option></term>
+  <listitem>
+  <para>buffer size [default=1024]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-H</option>
+  <option>--hopsize=HOPSIZE</option></term>
+  <listitem>
+  <para>overlap size [default=512]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-t</option>
+  <option>--threshold=THRESHOLD</option></term>
+  <listitem>
+  <para>pitch threshold (for yin) [default=0.1]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-s</option>
+  <option>--silence=SILENCE</option></term>
+  <listitem>
+  <para>silence threshold [default=-70]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-D</option>
+  <option>--delay=DELAY</option></term>
+  <listitem>
+  <para>number of seconds to take back [default=system]
+  default system delay is 2*hopsize/samplerate</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-L</option>
+  <option>--localmin</option></term>
+  <listitem>
+  <para>use local minima after peak detection</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-c</option>
+  <option>--cut</option></term>
+  <listitem>
+  <para>cut input sound file at detected labels (best used with option -L)</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-n</option>
+  <option>--note</option></term>
+  <listitem>
+  <para>NOT IMPLEMENTED output notes</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-p</option>
+  <option>--plot</option></term>
+  <listitem>
+  <para>NOT IMPLEMENTED draw plot</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-O</option>
+  <option>--outplot=OUTPLOT</option></term>
+  <listitem>
+  <para>NOT IMPLEMENTED save plot to output.{ps,png}</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-v</option>
+  <option>--verbose</option></term>
+  <listitem>
+  <para>make lots of noise [default]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-q</option>
+  <option>--quiet</option></term>
+  <listitem>
+  <para>be quiet</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-h</option>
+  <option>--help</option></term>
+  <listitem>
+  <para>show this help message and exit</para>
+  </listitem>
+  </varlistentry>
+</variablelist>
+
+
+</refsect1>
+  <refsect1>
+    <title>SEE ALSO</title>
+
+    <para>
+    <command>aubionotes</command>(1)
+    <command>aubioonset</command>(1)
+    <command>aubiocut</command>(1)
+    <command>aubiotrack</command>(1)
+    </para>
+
+  </refsect1>
+
+  <refsect1>
+    <title>AUTHOR</title>
+
+    <para>This manual page was written by &dhusername; (&dhemail;). Permission
+    is granted to copy, distribute and/or modify this document under the terms
+    of the &gnu; General Public License, Version 2 any later version published
+    by the Free Software Foundation.</para>
+
+    <para>On Debian systems, the complete text of the GNU General Public
+    License can be found in /usr/share/common-licenses/GPL.</para>
+
+  </refsect1>
+</refentry>
+
+<!-- Keep this comment at the end of the file
+Local variables:
+mode: sgml
+sgml-omittag:t
+sgml-shorttag:t
+sgml-minimize-attributes:nil
+sgml-always-quote-attributes:t
+sgml-indent-step:2
+sgml-indent-data:t
+sgml-parent-document:nil
+sgml-default-dtd-file:nil
+sgml-exposed-tags:nil
+sgml-local-catalogs:nil
+sgml-local-ecat-files:nil
+End:
+-->
+
+
Index: doc/aubiotrack.sgml
===================================================================
--- doc/aubiotrack.sgml	(revision 6f7aad0e7156ed745a5b1fff6a9e20a0d7ae85e3)
+++ doc/aubiotrack.sgml	(revision 6f7aad0e7156ed745a5b1fff6a9e20a0d7ae85e3)
@@ -0,0 +1,210 @@
+<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
+
+<!-- Process this file with docbook-to-man to generate an nroff manual
+     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
+     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
+     less'.  A typical entry in a Makefile or Makefile.am is:
+
+manpage.1: manpage.sgml
+	docbook-to-man $< > $@
+
+    
+	The docbook-to-man binary is found in the docbook-to-man package.
+	Please remember that if you create the nroff version in one of the
+	debian/rules file targets (such as build), you will need to include
+	docbook-to-man in your Build-Depends control field.
+
+  -->
+
+  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
+  <!ENTITY dhfirstname "<firstname>Paul</firstname>">
+  <!ENTITY dhsurname   "<surname>Brossier</surname>">
+  <!-- Please adjust the date whenever revising the manpage. -->
+  <!ENTITY dhdate      "<date>December 1, 2004</date>">
+  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
+       allowed: see man(7), man(1). -->
+  <!ENTITY dhsection   "<manvolnum>1</manvolnum>">
+  <!ENTITY dhemail     "<email>piem@altern.org</email>">
+  <!ENTITY dhusername  "Paul Brossier">
+  <!ENTITY dhucpackage "<refentrytitle>AUBIOTRACK</refentrytitle>">
+  <!ENTITY dhpackage   "aubiotrack">
+
+  <!ENTITY debian      "<productname>Debian</productname>">
+  <!ENTITY gnu         "<acronym>GNU</acronym>">
+  <!ENTITY gpl         "&gnu; <acronym>GPL</acronym>">
+]>
+
+<refentry>
+  <refentryinfo>
+    <address>
+      &dhemail;
+    </address>
+    <author>
+      &dhfirstname;
+      &dhsurname;
+    </author>
+    <copyright>
+      <year>2003</year>
+      <holder>&dhusername;</holder>
+    </copyright>
+    &dhdate;
+  </refentryinfo>
+  <refmeta>
+    &dhucpackage;
+
+    &dhsection;
+  </refmeta>
+  <refnamediv>
+    <refname>&dhpackage;</refname>
+
+    <refpurpose>a command line tool for real time beat tracking</refpurpose>
+
+  </refnamediv>
+  <refsynopsisdiv>
+    <cmdsynopsis>
+      <command>&dhpackage; <parameter>[options]</parameter></command>
+    </cmdsynopsis>
+  </refsynopsisdiv>
+  <refsect1>
+    <title>DESCRIPTION</title>
+
+    <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
+
+    <para><command>&dhpackage;</command> attempts to tap the beat and detect
+    beat locations in musical sounds. When started with an input file argument
+    (<option>-i</option>), aubiotrack print the beat locations in second
+    detected in the file. Without an input file is given, aubiotrack will start
+    as a jack client and play a woodblock sound at predicted beat
+    locations.</para>
+
+  </refsect1>
+  <refsect1>
+    <title>OPTIONS</title>
+
+<para>This program follows the usual GNU command line syntax, with long options
+starting with two dashes (`-').  A summary of options is included below.</para>
+
+<variablelist>
+  <varlistentry>
+  <term><option>-i</option>
+  <option>--input filein</option></term>
+  <listitem>
+<para>Run analysis on this audio file. Most common (uncompressed) formats are 
+supported.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-o</option>
+  <option>--output fileout</option></term>
+  <listitem>
+
+  <para>Save results in this file. The file will be created on the model of the
+  input file. Results are marked by a very short wood-block sample.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-O</option>
+  <option>--onset mode</option></term>
+  <listitem>
+
+  <para>The onset detection function to run. Available functions are
+  <emphasis>complexdomain</emphasis>, <emphasis>hfc</emphasis>,
+  <emphasis>phase</emphasis>, <emphasis>specdiff</emphasis>,
+  <emphasis>energy</emphasis>, <emphasis>kl</emphasis> and
+  <emphasis>mkl</emphasis>. By default, both Kullback Liebler (kl) and complex
+  domain are used in parallel.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-t</option>
+  <option>--threshold value</option></term>
+  <listitem>
+
+  <para>Set the threshold value for the onset peak picking. Typical values are
+  within <literal>0.001</literal> and <literal>0.900</literal>. Default is
+  <literal>0.1</literal>. The <emphasis>lower</emphasis> the <emphasis>more
+  sensible</emphasis>.  Try <literal>0.3</literal> in case of
+  over-detections.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-j</option>
+  <option>--jack</option></term>
+  <listitem>
+<para>Run in jack mode (default when started without input file) and creates a midi output.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-h</option>
+  <option>--help</option></term>
+  <listitem>
+<para>Show summary of options.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-v</option>
+  <option>--verbose</option></term>
+  <listitem>
+<para>Show results on the console.</para>
+
+  </listitem>
+  </varlistentry>
+</variablelist>
+
+  </refsect1>
+  <refsect1>
+    <title>SEE ALSO</title>
+
+    <para>
+    <command>aubioonset</command>(1)
+    <command>aubiocut</command>(1)
+    <command>aubionotes</command>(1)
+    <command>aubiopitch</command>(1)
+    </para>
+
+  </refsect1>
+
+<refsect1>
+<title>BUGS</title>
+
+<para>For now the program has been only tested on audio signals sampled at 44.1
+kHz.</para>
+
+</refsect1>
+
+  <refsect1>
+    <title>AUTHOR</title>
+
+    <para>This manual page was written by &dhusername; (&dhemail;). Permission
+    is granted to copy, distribute and/or modify this document under the terms
+    of the &gnu; General Public License, Version 2 any later version published
+    by the Free Software Foundation.</para>
+
+    <para>On Debian systems, the complete text of the GNU General Public
+    License can be found in /usr/share/common-licenses/GPL.</para>
+
+  </refsect1>
+</refentry>
+
+<!-- Keep this comment at the end of the file
+Local variables:
+mode: sgml
+sgml-omittag:t
+sgml-shorttag:t
+sgml-minimize-attributes:nil
+sgml-always-quote-attributes:t
+sgml-indent-step:2
+sgml-indent-data:t
+sgml-parent-document:nil
+sgml-default-dtd-file:nil
+sgml-exposed-tags:nil
+sgml-local-catalogs:nil
+sgml-local-ecat-files:nil
+End:
+-->
+
+
+
